;
; CANON INC. Scanner driver
;
; Windows Setup File for the Canon MG3600 series Scanner driver
; Copyright (c) CANON INC. 2015

[Version]
SIGNATURE="$Windows NT$"
CLASS=dummy
DriverVer=01/29/2015,1.0.0.4

[DestinationDirs]
DefaultDestDir=11
ColorFilesNet.NT=11,spool\drivers\Color
STIFiles_64=10,SysWow64
CNCDsFiles_CMN=10,"twain_32\%SGNAME%"
CNCDsFiles_MDL=10,"twain_32\%SGNAME%\%CNCRFN%"


;........................................ WinXP, Vista, Win7 section
[CNCInstall_XP.NT]
AddReg=CNCAddreg, CNCAddregUSB
CopyFiles=CNCDsFiles_MDL,CNCDsFiles_CMN

;........................................ WinXP x64, Vista x64, Win7 x64 section
[CNCInstall_XP64.NT]
AddReg=CNCAddreg, CNCAddregUSB
CopyFiles=STIFiles_64,CNCDsFiles_MDL,CNCDsFiles_CMN

;........................................ WinXP, Vista, Win7 section (Network)
[CNCInstallNet_XP.NT]
AddReg=CNCAddreg,CNCAddregNet,CNCAddReg.Events
CopyFiles=STIFiles_32,ColorFilesNet.NT,CNCDsFiles_MDL,CNCDsFiles_CMN

;........................................ WinXP x64, Vista x64, Win7 x64 section (Network)
[CNCInstallNet_XP64.NT]
AddReg=CNCAddreg,CNCAddregNet,CNCAddReg.Events
CopyFiles=STIFiles_64,ColorFilesNet.NT,CNCDsFiles_MDL,CNCDsFiles_CMN


;.......................................... Common Section
[CNCAddreg]
HKLM,"%SGMDLKEY%","DriverDate",0x00004000," 10 2014"
HKLM,"%SGMDLKEY%","DriverVersion",0x00004000,"1.0.0.4"
HKLM,"%SGMDLKEY%","ProductName",0x00004000,%CNC.MDL%
HKLM,"%SGMDLKEY%","ButtonNum",0x00014001,0
HKLM,"%SGMDLKEY%","InstallDirectory",0x00004000,"%10%\TWAIN_32\%SGNAME%\%CNCRFN%\"
HKLM,"%SGMDLKEY%","CaddisLLDPath",0x00004000,"%CADDIStable%.TBL"
HKLM,"%SGMDLKEY%","CaddisUIPath",0x00004000, "CNUI007.TBL"

[CNCAddregUSB]
HKLM,"%SGMDLKEY%","AvailableDriver",0x00014001,1

[CNCAddregNet]
HKLM,"%SGMDLKEYNet%","AvailableDriver",0x00014001,1
HKLM,"%SGMDLKEYNet%","ButtonNum",0x00014001,0
HKLM,"%SGMDLKEYNet%","InstallDirectory",0x00004000,"%10%\TWAIN_32\%SGNAME%\%CNCRFN%\"
HKLM,"%SGMDLKEYNet%","PortName",0x00004000,"%BJNP_PORT_Net%"
HKLM,"%SGMDLKEYNet%","ProductName",0x00004000,"%CNC.MDL_Net%"
HKLM,"%SGMDLKEYNet%","CaddisLLDPath",0x00004000,"%CADDIStable%.TBL"
HKLM,"%SGMDLKEYNet%","CaddisUIPath",0x00004000, "CNUI007.TBL"
HKLM,"%SGMDLKEYNet%","SelectorVersion",0x00004000, "20.0"

[CNCAddReg.Events]


[ColorFilesNet.NT]
CN%CNC.ColorGear%.ICC


[STIFiles_32]
%CNC.Module%L.dll
CNHMCA.dll
%CADDIStable%.TBL

[STIFiles_64]
%CNC.Module%L.dll
CNHMCA.dll
%CADDIStable%.TBL

[CNCDsFiles_MDL]
SETUP02.ini
CNC_FFFH.DAT
%CNC.Param%M.DAT
%CNC.Param%P.DAT
%CNC.Param%R.DAT
%CNC.Param%T.DAT
%CNC.Param%U.DAT

[CNCDsFiles_CMN]
%CADDIStable%.ds,CISDS.ds
%CADDIStable%_Network.ds,CISDS.ds

;-------------------------------Source Index
[SourceDisksFiles]
SETUP02.ini=1
CISDS.ds=3
CN%CNC.ColorGear%.ICC=3
%CNC.Module%L.dll=3
CNHMCA.dll=3
%CADDIStable%.TBL=3
CNC_FFFH.DAT=3
%CNC.Param%M.DAT=3
%CNC.Param%P.DAT=3
%CNC.Param%R.DAT=3
%CNC.Param%T.DAT=3
%CNC.Param%U.DAT=3



[SourceDisksNames]
1="Canon ScanGear Setup Disk",,
3="Canon ScanGear Setup Disk","TWAIN02.CAB"


;-------------------------------String Aliases
[Strings]
SGMDLKEY="Software\Canon\ScanGear\Devices\MG3600 series"
SGMDLKEYNet="Software\Canon\ScanGear\Devices\MG3600 series_"
SGMDLKEY64="Software\Wow6432Node\Canon\ScanGear\Devices\MG3600 series"
SGMDLKEYNet64="Software\Wow6432Node\Canon\ScanGear\Devices\MG3600 series_"
BJNP_PORT_NET="CNBJNPSCAN_"
CNCRFN           = "MG3600 series"
CNC.MDL          = "Canon MG3600 series"
CNC.MDL_Net      = "Canon MG3600 series Network"
CNC.ColorGear    = "FRD1"
CNC.Module       = "CNC_CT"
CNC.Param        = "CNC_461"
CADDIStable      = "CNC178AD"
SGNAME           = "SG20"

